function out = mirror(x);
% out = mirror(x)
% Mirrors the columns of x in an FFT compatible manner - the mirror is conjugated
% The output size is 2*length(x)-2 with all but the first element being mirrored

[len b]=size(x);

out = [x; conj(x(len-1:-1:2, :))];

