#ifndef _DT_BLKFX_DEFAULT_PROGRAMS_
#define _DT_BLKFX_DEFAULT_PROGRAMS_
/**************************************************************************************************
Copyright (c) 2005-2006 Darrell Tam
email: darrell.barrell@hotmail.com OR barrell@grapevine.net.au


***************************************************************************************************/

#include <string.h>
#include "BlkFxParam.h"

// blk fx program
struct BlkFxProgram
{
	// according to VST SDK program names must be at least 24 bytes
	char name[24];
	float params[BlkFxParam::TOTAL_NUM];

	void setName(const char* name_)
	{
		strncpy(name, name_, sizeof(name));
		name[sizeof(name)-1] = '\0';
	}
};

extern BlkFxProgram g_blk_fx_presets[];
extern unsigned g_num_blk_fx_presets;


#endif
